<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>HW-6</title>
</head>
<body>

<h2>forEach</h2>

<p>The loop forEach we use to iterate through the array. It calls a 'callback' function for the each element
of the array. It passes to this function 3 parameters: item(the element), i (element's index), arr (the array).</p>

<script>

    let obj = {
        number: 1, 
        nothing: null,
        something: 'word0'
    };
    let obj1 = {};
    let arrayToFilter = [1, 2, 3.5, null, undefined, true, false, 'word1', 'word2', obj];
    
    function filterBy(arr, type) {
        let arrayFiltered = arr.filter(element => typeof element !== typeof type);
        return arrayFiltered;
    }

    console.log(arrayToFilter, '<-- initial');
    console.log(filterBy(arrayToFilter, 'string'), '<-- w/o strings');
    console.log(filterBy(arrayToFilter, 25), '<-- w/o numbers');
    console.log(filterBy(arrayToFilter, true), '<-- w/o boolean');
    console.log(filterBy(arrayToFilter, null), '<-- w/o null');
    console.log(filterBy(arrayToFilter, obj1), '<-- w/o objects');



</script>

</body>
</html>